petsc-3.13.6 2020-09-29
Report Typos and Errors

# DMHasBasisTransform

Whether we employ a basis transformation from functions in global vectors to functions in local vectors

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMHasBasisTransform(DM dm, PetscBool *flg)

### Input Parameter

dm -The DM

### Output Parameter

flg -PETSC_TRUE if a basis transformation should be done

### See Also

DMPlexGlobalToLocalBasis(), DMPlexLocalToGlobalBasis(), DMPlexCreateBasisRotation()

### Level

developer

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages